Subject: bug#2757: disable (or deprecate) vc-file-not-found-hook for 23.1

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 23 Mar 2009 10:34:27 -0700 (PDT)

The vc-file-not-found-hook behavior is only used by RCS, and it is a
strange wart anyway.

IMO we should remove vc-file-not-found-hook from file-not-found-hook by
default for 23.1 and even remove the `find-file-not-found-hook' VC
method.
We can put instructions in NEWS that if people want the old behavior,
they can add vc-rcs-file-not-found-hook to find-file-not-found hook.

This hook adds a cost every time when opening a non-VC managed file.